// api prefix
// @author Pluto <huarse@gmail.com>
// @create 2020/07/01 11:11
const meta = document.querySelector('meta[name="x-server-env"]');
// @ts-ignore
export const env = (meta === null || meta === void 0 ? void 0 : meta.content) || 'dev';
// export const env = 'test';
// 域名配置
export const domainMap = {
    dev: 'https://gateway.community-sit.easyj.top/user-center',
    sit: 'https://gateway.community-sit.easyj.top/user-center',
    production: 'https://gateway.pre.suosihulian.com/user-center',
    pre: 'https://gateway.pre.suosihulian.com/user-center',
};
/** 是否是相对路径 */
export function isAbsolutePath(url) {
    return /^(https?:)?\/\//.test(url);
}
/**
 * 为相对路径请求地址加上 host 前缀
 * @param api 请求地址
 */
export function apiPrefix(api) {
    // 如果是绝对路径，则跳过
    if (isAbsolutePath(api)) {
        return api;
    }
    // const domain = domain || 'xxx';
    const urlPrefix = domainMap[env];
    if (!urlPrefix) {
        return api;
    }
    return `${urlPrefix}${api}`;
}
export default function apiPrefixMiddleware(ctx) {
    ctx.api = apiPrefix(ctx.api);
    return ctx.next();
}
